<?php  
	session_start();
	include "conexion.php";
	include "mysql_Valida_permiso.php";

	$editar =  validaPermiso('Vehiculos','VehiculosEditar',$_SESSION['id_usuario']);

?>

<table class="table table-sm table-striped" name="vehiculo_table" id="vehiculo_table">
	<thead>
		<th>Id</th>
		<th>Descripción</th>
		<th>Departamento</th>
		<th>N° Eco</th>
		<th>Placa</th>
		<th>Tarjeta</th>
		<th>Estado</th>
		<?php 
			if($editar==1){
				echo '<th>Editar</th>';
			}
		?>
		
	</thead>
	<tbody>
		<?php 
			$sql="select ";
			$sql.="id_vehiculo, ";
			$sql.="descripcion, ";
			$sql.="departamento, ";
			$sql.="numero_economico, ";
			$sql.="placa, ";
			$sql.="id_tag, ";
			$sql.="estado ";	
			$sql.="from ";
			$sql.="vehiculos ";
			$sql.="where ";
			$sql.="id_cliente=".  $_SESSION['id_cliente'];
			
			$resultado = $conexion->query($sql); 

			if(!$resultado) 
			{
				echo "Error: No se pudo realizar la consulta de los vehiculos.";
				return;
			}

			while($fila = $resultado->fetch_assoc()) 
			{
				echo '<tr>';			

				
				echo '<td><a style="cursor: pointer" onclick="operacion_vehiculo(1,'.$fila['id_vehiculo'].')" >' . $fila['id_vehiculo'] . '</a></td>';
				echo '<td>' . $fila['descripcion'] . '</td>';
				echo '<td>' . $fila['departamento'] . '</td>';
				echo '<td>' . $fila['numero_economico'] . '</td>';				
				echo '<td>' . $fila['placa'] . '</td>';
				echo '<td>' . $fila['id_tag'] . '</td>';
				if($fila['estado']==1){
					echo '<td>Activo</td>';
				}else{
					echo '<td>Desactivado</td>';
				}
				
				if($editar==1){
					echo '<td>';				
						echo '<img style="cursor: pointer" src="images/editar.png" alt="Editar" title="Editar" onclick="operacion_vehiculo(3,'.$fila['id_vehiculo'].')" width="20"/>';
					echo '</td>';	
				}	
				
				echo '</tr>'; 
			}

			$resultado->free();

		 ?>

	</tbody>
</table>